Changelog chapterEditor 

added &
fixed *
improvement #
layout change %


rev0.29
// XML Format
* The new calculation for the end times at ordered chapters
  now no longer executed when switching between an edition with or without
  ordered chapters.
  - last end time is no longer overwritten

// Multi Editions Editor
& Predefined track names and eac3to options
  - personal favorites
  - saves me the continual enter of the selfsame designations
  - Open it: Double-click on a track or a click
                on the lable - track name or eac3to option
  - Selection: click on a designation

& cutting and muxing together: new cutting mode
  - only one direct remux (Bluray) required  
  - the cutting times are then alternating between start time and
    end time specified
  - last end time can be omitted. The duration of the file
    is then used as the last end time.

& edition ordered
  - if there is only one edition, this can be with or without ordered chapters
    be created
  - when duplicate m2ts were removed, thus an appropriate
    chapters.xml created

# use m2ts once: 
  - adjusted for mpls files which use several different m2ts
  - all duplicate m2ts files are only used once 

% "cutting"- checkbox replaced by a combobox

% added a checkbox "edition ordered"


rev0.28
// chapterEditor
& Matroska Menu Editor

// chapter database
# The database is now always open and switches before to the XML Editor

// XML Format
* XML-Parser: If comment lines are included between editions,
  - the editions were not processed correctly
  - XML validation not working

* the function check boxes have been moved wrong in widening 
  the chapterEditor when another format-editor was active

// Multi Editions Editor
& mpls support (only drag & drop)
  - mpls files from eac3to (Blu-Ray structure) are not recognized,
     can thus nevertheless be processed

& a setting for mpls files using a m2ts multiple times 
  - use m2ts once 

* The path to a PLAYLIST folder could crash the editor

* Tags.xml: edition names appear incorrectly (UTF8)

* no ":" more in the converted audio file name

# Audio files keep in their re-converting track order
  - mmg is incorrectly constructed when before re-converting an external subtitle
    was loaded

# Default Track switch (mmg) for audio and video is now set automatically

% checkbox: "use m2ts once" insert

// Matroska Menu Editor
& input - left
  - select source folder and run, collect information
  - select a file shows the information
  - double-click on a file adds them to a selected menu edition
    is no menu editiion selected, a new menu edition is created

& prefer insert further editions
  - a menu edition that is added (double-click) is not selected,
     thus more rapidly menu editions can be inserted

& Matroska Menu (editions) - middle
  - is not an edition name is specified, the file name is used instead
  - each menu edition is later seen in the player as shown in the ListView
  - add as menu: a special menu edition which can be repeated
  - with several menu editions you may opt for a default edition
  - the menu editions can be moved by drag & drop

& Matroska files (editions and chapters) - right
  - Is the special menu edition selected, you can set how many times they repeated to 
  - selection of a Matroska file: the checkbox is ticked, the available editions
    of the file is loaded (default edition is selected) and uses the chapters.
  - files can be moved by drag & drop


rev0.27
// chapterEditor
* Bluray Parser: Could float-value calculations for very small "in-time" times
                 identify an incorrect start time for the first chapter.
                 The BD-clock time is used directly from now.

// Multi Chapters
& Drag&Drop support for Matroska files:
  - the playing time is then entered automatically

// XML Format
* Tagsinfo.xml save in Matroska files not working

# XML-Parser: 3 chapter-elements were missing 
              (ChapterPhysicalEquiv and ChapterTrack+ChapterTrackNumber) 

// multiAVCHD
& Thumbnail Position Generator: this is open, you can drag&drop
  Matroska files load and the playing time is automatically entered

// Multi Editions Editor
* no output of a "mmg-mux" file more when "cutting" has been disabled

# Naming audio formats
  - DTS: it lacked the kbps and kHz designation
  - DTS Master Audio: "(strange setup)" in special 7.1 channels (DTS-ES Core)


rev0.26
// chapterEditor
& Matroska file support (not for the multi editions editor)
  - mkvextract.exe is required
  - mka
  - mks 
  - mkv
  - mk3d

& menu: settings 
  - Path settings to the required external tools
  - Folder can be loaded via drag&drop (no matter where you drop down) and
    these are automatically detected and assigned to the correct tool
  - MKVToolNix, there is checked on the mkvextract and mkvpropedit exe

* load of too large files let crash the Editor

// OGG Format
& Matroska file support (save as)
  - mkvpropedit.exe is required
  - mka
  - mkv
  - mk3d

// XML Format
& Matroska file support (save as)
  - mkvpropedit.exe is required
  - mka
  - mkv
  - mk3d
  - in Taginfo.xml Editor Tags can be stored in Matroska files


rev0.25
// chapterEditor
* DVD parser did not work correctly


rev0.24
// chapterEditor
& support for ChapterGrabber.chapters file

* Drag&Drop not support folders led to the crash of the editor 

// XML Format
& Online chapter database
  - XML Format (ordered chapters, multi editions and "hidden" features)
  - multilingual
  - individual chapter management (upload and edit)
  - rating system
  - statistics
  - save the login data and automatically login
  - new chapter files generated directly out of the database
  - chapter names replace at present chapters (improved chapter naming)
  - an edition can be optionally added to existing editions
  - simple search using four selection criteria

* "chapter cutting" working on a edition with
   ordered chapters not always right

# End times produce revised for ordered chapters
  - End times are now always recalculated when activate
  - End times can not be more smaller than the start time


rev0.23
// Multi Editions Editor
& "new playtime" - calculation for the selected mux parts.

* DGIndexNV: - UTF8 folder name did not work 
             - renamed 2 DGINDEX labels in DGIndexNV

* Standard track button "All" was not properly enabled / disabled

* "XML to editor" did not work if one of the XML Editor function
   Checkboxes are enabled.


rev0.22
// chapterEditor
* UTF-8 file and folder names and files with / without BOM are now
  processed correctly

// multiAVCHD Format
* Sonic Cinevision CSV File and Sonic Scenarist CSV File could not
  be loaded correctly

// Multi Versionen Editor
& DGIndexNV 
  - create a dgi file with DGIndexNV
  - load dgi file
  - wherein said timecode to find an I-frame are listed
    (except the first and last timecode)
  - left-click on a timecode transmits it to the cutting time field
  - Double-click on a timecode adds it to the cutting times
  - DGIndexNV folder is automatically saved

% two new buttons: "DGIndexNV" and "dgi file"

% inserted a ListView for the timecodes


rev0.21
// XML Format
* Change the start and end times in the TreeView had a small error
  (a crash could be provoked)

// Multi Editions Editor
& cutting: cut mkv files by time codes
  - Time codes are sorted
  - Time codes are checked to ensure that no duplicate will be created
  - a limit for the maximum time code depending on the playing time

& muxing: joining the cut part-mkv'S
  - select the items in the ListView
  - automatic creation of a separate mmg mux file

* ignore last m2ts
  - an error occurred when selecting an edition when the last m2ts was not ignored
  - chapter file was created incorrectly (wrong duration)

* external subtitles which was not associated with language produced an error in the mmg
  -"Undetermined" is now used as the default language

# adapt the generated mmg files to mkvMergeGUI-7.0.0(needed from now)

# Track order: the drag track is now selected after the drop operation

% a button "cutting" insert
  
% inserted a panel with the cutting and muxing options



rev0.20
// chapterEditor
* Time-edit fields: it was possible to minutes and seconds greater than 59 to enter

// XML Format
# the times for the start and end of change right now in Treeview

// Multi Editions Editor
& Ignore last m2ts file: a workaround for Blurays the last one m2ts
   but which have "apparently" different track parameters than the other m2ts files
  (e.g. Star Trek Enterprise Season 3)
  - an exact test does not take place, it is only after the playing time of the last
    looked m2ts file
  - is the playing time of less than 2 seconds, you can ignore the file (or not)

* Number of m2ts files could be determined incorrectly in non-multi editions

* demux an audio track with no multi editions did not work properly
  - eac3to_log file is now also created

* if an audio track is the second time converted, it is now updated in the Track list
  and no longer added as a second converted audio track

# the edit field "track name" gets the focus after a track is selected

# the Start button is disabled by pressing and press the
  from the reset button re-enabled
  - thus can not be read twice a Bluray

% a checkbox "Ignore last m2ts ..." inserted



rev0.19
// chapterEditor
& qpf file format (MeGUI)

# Source code cleaned up: a few things twice removed

// OGG Format
* ifo files could not be loaded

// multiAVCHD
* ifo files could not be loaded

// Multi Versionen Editor
& BD demux -> selectablly: there are only the active tracks demuxed
  - a video track can be optionally stored as mkv, 
    and it can be assigned a language

  - the track order can also be changed (imagine saves the clicks in mmg)

  - Subtitle functions as standard track or compression are also available

* mmg "container" setting for converted audio tracks was not considered

# File name as a prefix to the type plus the eac3to track number ("[s11]")
  - so you can find the demuxed track faster in the eac3to-log

# Subtitle: the standard track can be "no" for ALL to

% a button "all" is inserted

% inserted a checkbox "selectablly"



rev0.18
// Multi Editions Editor
& chapters.xml can be automatically loaded in XML Format Editor

% inserted a checkbox "XML to Editor"

// XML Format Editor
# Chapter naming: - hidden chapters will be ignored from now 
                  - (important for the correct chapter number)
                  - the source code is rewritten so that the procedure is faster



rev0.17
// Multi Editions Editor
* move (track order) of external subtitles not working properly

* demux individual subtitles, subtitle-log file was not created in the output folder



rev0.16
// Multi Editions Editor
* File names are now generated without "/"


rev0.15
// Multi Editions Editor
& a checkbox, to generate eac3to log files 

& a button for demuxing the whole BD (all m2ts in the appropriate order)

* if there is only one edition, a wrong track number was forwarded to eac3to

* last chapter will only be ignored if it is less than 2 seconds

* last m2ts file was sometimes ignored


rev0.14
// chapterEditor
& multi edition editor

# Bluray Parser: chapter which are hidden to the user are ignored from now

// OGG Format
* MPLS files could not be loaded

// XML Format
* copy an "ordered" edition did not work

// multiAVCHD Format
* MPLS files could not be loaded

// multi edition editor
   - Blurays with multiple editions mux to mkv using eac3to and mmg
   - create with just a single mux process and additional settings,
   - simply multi editions mkv's

& show multi editions only
  - this will ensure that you can not mux wrong streams together
  - off: all editions are visible

& used titles / editions can be named, and a language can be assigned
  - these data are stored in tags.xml and later from the player appears

& demux option for video, audio, subtitles
  - video: here a language can also be assigned

  - audio: it might as well be converted to another format
    - at the "eac3to option" can any valid eac3to command, or more to be entered
    - org audio: selects whether the original audio stream in the mkv should be included or not
    - to mmg: the converted stream will be used in mmg and included in mkv

  - subtitles: it can be all or any individually demuxed 
    - after the demux you get a eac3to-log-file where you can look
      if there are "forced subs"
    - loading of external subtitles (BD_SUP, SRT), these can then use other options
      be edited, just like the original subtitles (default trag flag, compression)

  - a name for each track can also be assigned (track name)

& setting track order
  - move the tracks to the desired position by drag & drop
    (a move later in mmg is almost impossible)

& eac3to Test Button, it is an info display what you have installed all of usable codecs


rev0.13
// chapterEditor
& function: multi chapter
  - insert of several chapters
  - different settings for the chapter number and the chapter interval 
  - in XML format, the chapters can be optionally added to a new edition

% new menu item called multi chapter


rev0.12
// chapterEditor
& internal drag & drop for Chapters

// XML Format
# internal drag & drop for Chapters (various drag & drop options)
  > left mouse button
    - normal drag & drop within an edition or chapter (same level)
    - Move chapters of various levels (nested chapters)
      (It is possible to "resolve" the nested-chapter structure)
    - Drop to an edition: The chapter moves to the end of the edition
  > right mouse button
    - Drop to a chapter: Here, the chapter moves as nested chapter
      (Thus, it is possible to "build" new nested-chapter structures)
    Drop to an edition: The chapter moves to the first position

// 3GPP TTXT Format
* if you abort the loading process of a text description an error message appeared

// multiAVCHD Format
* the chapters names were not immediately changed in the listbox when
  "thumbnail position in line" was disabled

# Thumbnail position generator
  - Duration optional
  - automatic Duration generation (except Bluray-DVD)
  - restore the duration if you have deleted them



rev 0.11
// XML Format
* Delete chapters should now work properly

// multiAVCHD Format
# The thumbnail position for the last chapter can be accurately calculated if
  specifying a duration.

# The playing time of a clip (mpls / ifo title) is automatically adopted

% added an edit box in the thumbnail position generator



rev0.10
// chapterEditor
* at all time-edit fields, it was possible to enter negative times (00:-3:00.000)

* in all FPS combo boxes it is no longer possible to enter negative numbers

# OGG Format Editor completely new

# The languages completely converted to the new system. 
  the lng files are no longer used

// OGG Format
& support for all chapter formats (from 3GPP TTXT up to x264 qp text file)

// XML FOrmat
* delete chapters did not work correctly.



rev0.09
// chapterEditor
& multiAVCHD format editor

# A "Help" for the XML format editor

// OGG Format
* a warning was displayed twice if you wanted to load an unsupported format

// XML Format
& support for multiAVCHD format

* "copy edition" worked incorrect after chapter have been moved
  - the code was slightly rewritten and made ??at the same time faster. To copy a version
    with more than 500 chapter now goes very quickly.

* 3GPP TTXT files can now be opened using the "File ..." button

* Drag & Drop folders or drives read the chapter editor crash when functions (FPS,
  Chapter name or chapter move/ cut) are enabled.

// 3GPP TTXT Format
& support for multiAVCHD format

* In the process of chapter files (stored in / with frames) crashed from the Editor
  if "Exit" (window: Source FPS) has not been activated and you twice (another FPS), the file upload
  wanted.

* The buttons "Edit" and "Delete" in the Karaoke Range were not activated when you load a
  TTXT (if these functions has Karaoke Range).

* The font looks like Bold, Italic, Underlined, or their combinations was not exactly
  processed. (a blank space at the end can / or must (?): which is now being considered)

* Drag & Drop folders or drives was not correctly processed when functions (FPS,
  Chapter name or chapter move/ cut) are enabled.

* when changing the text descriptions, the edit fields were incorrectly colored white,
  although the "style" or the "text box" is disabled.(Occurs only when two successive
  following text descriptions have disabled the style and / or the text box)

* a superfluous warning was displayed in the status bar when you clicked on the "new TTXT" button

# a safety query inserted: if you press the "new TTXT" button and chapter and / or
  Text descriptions are available, so you accidentally delete anything. 

% Memos inserted to display the color.

// multiAVCHD Format
& FPS Conversion

& Move or cut Chapter

& Chapter Designation (name(s), number, thumbnail position)

& thumbnail positions generator

& Support for all formats Chapter (from 3GPP TTXT up to x264 qp text file)

& Drag&drop : all formats , folders(Bluray + DVD) and drives(Bluray + DVD)



rev 0.08
// chapterEditor
& 3GPP TTXT Format Editor

& A "help" (Display of help text in the status bar) (not yet complete)

# The languages ??are no longer stored in the future in a lng file
  - I use from now on a somewhat simpler system whereby it will be easier
    integrate new languages ??(conversion takes place gradually , we will as long as the
    lng files still in use )

# The format editor last appears when you start

% A status bar inserted for the display of information (program functions and help)

% Reduced The window height to 680 pixels (previously 714)

// XML format
& 3GPP TTXT format support

* Chapter element: Chapter Process (with all sub-elements) did not work correctly for
                   mkv-dvd-menu.xml files.

* Hybrid (Selur) chapter queue CHP file can also be opened using the File button now

# "Ordered chapters" The endtimes are now automatically set to the starttime
                     of the next chapter.
                     The last chapter receives its own starttime as endtime.

# Drag and Drop
  - Invite a drive (Bluray or DVD) now possible

% The buttons reduced by 2 pixels and moved together everything so 
  that the programm height could be reduced.


// 3GPP format TTXT
& FPS conversion

& Chapter Designation (name and number)

& Move or cut Chapter

& Save and load a "Text Description" (basic settings in the TTXT )

& Support for all formats Chapter (from 3GPP TTXT up to x264 qp text file)

& Drag&drop : all formats , folders(Bluray + DVD) and drives(Bluray + DVD)



rev 0.07

// XML format
# DVD_ifo support
  - Ifos be loaded from now with its own ifo_Parser . ChapterXtractor is no longer used .
  - Invite multiple ifos drag and drop is also possible.

# Drag & Drop: it can be loaded directly from the folder now .
  - BDMV folder
  - PLAYLIST folder
  - VIDEO_TS folder

* English update
  


rev 0.06

// XML format
& Bluray / mpls support

& Support for two new chapter formats
  - Hybrid (Selur) chapter queue CHP File
  - Hybrid (Selur) mkvchapter CHP File

* Chapter in formats that are saved with/in frames , while loading was not the time
  calculated exactly .

% When loading a Bluray/mpls opens a new window with some settings

% When loading from Chapter formats saved with/in frames will open a new window . There you can
  change the source FPS.



rev 0.05

// XML format
* If there are several versions and one is "ordered " and another does not,
 - that the end times have been deleted, they switched between these different versions.
 - error occurred on if you wanted to assign chapter names.

* The end times are now saved correctly if you accidentally "ordered " is deselected
  had , so not everything has to be re-entered.

* The button "new chapter file" did not clean the dvd-ifo-box .

* The fps checkbox did not work properly (after activate treeview was still usable)

# The code for the checkboxes : hidden, Standard / activated ordered
  and adjusted for the treeview_view. thus will be no more useless code
  executed.

// OGG format
% everything arranged the font-style and size changed new



rev 0.04

// XML format
& DVD IFO support ( External Tool: ChapterXtractor )
  { the Ifo must be the VTS_xx_0.IFO , where the individual items are stored.
   VIDEO_TS.IFO is not supported and also not in use. }

* When loading files using drag and drop in an enabled checkbox (eg " Chapter move or cut ")
  an error has occurred .

* Update english

* Error -message boxes were not displayed if invalid files were loaded

% a combobox (dvd ifo) added to select the track



rev 0.03

// XML format
* When deleting chapters there was an error when more than 10 chapters were present. 
  the editorthen crashed from .

* Edit Fields chapter name, chapter - language and country ( combo boxes ) are not disabled
  if no name is available. Thus, you could bring the program to crash .

# 3 more englishe translations

// OGG format
* The "open" button showed a superfluous messagebox on when you pressed cancel .



rev 0.02

// XML format
* When load a xml the "Save" button is not activated properly

* When load a xml without "ordered chapters " there was a small display problem

* an English translation was missing

# The query whether a valid xml chapter entries has been improved



rev 0.01

// chapterEditor
& XML Format Editor: chapters in xml format , so you can make any more quantitative than with normal
                     chapter files. with nested chapters , and ordered chapters so you can 
                     multi- versions of a film , song, or generate all in a single mkv file .

& Language: english


// XML format
& Taginfo xml editor: With this editor you can provide its (multi) versions with name , saying ,
  which then also in the player can be played back.

& Support for the following chapter formats : CCE SP Text File
                                              Cell Text Times
  ---------------------------------- I        DVD Author Text File
  The chapter formats come all       I        HC Enc text file
  of ChapterGen , an editor          I        Muxman
  from the Engl. Doom9 forum.        I        OGG Chapter Text File
                                              Sonic Cinevision CSV File
                                              Sonic Scenarist CSV File
                                              Spruce DVD Maestro CHP File
                                              Timecode text file
                                              tsMuxer Meta File
                                              x264 qp textfile


// OGG format
* If "chapter cut" was enabled, and then disabled it was not finished properly and still had influential
  on convert.

* Can combo boxes FPS are not fed with wrong data (there is still the possible input of any fps)

# FPS: each 2. combobox ( the distributor ) now automatically sets itself to "1001" when in the first box
       a 5-digit number has been entered. if no 5-digit number was entered is set to " 1". (facilitatesset )

% I have made buttons for "open" and "save"-menu functions.